# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3

inherit qt4-r2

MY_P="piorekf-plug-fbf6ce7b339c/plug/"
DESCRIPTION="Linux software for Fender Mustang amplifiers"
HOMEPAGE="http://piorekf.org/plug"
SRC_URI="https://bitbucket.org/piorekf/plug/get/v0.7.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="x11-libs/qt-gui:4
	>=dev-libs/libusb-1.0"
RDEPEND="${DEPEND}"

S="${WORKDIR}/${MY_P}"

src_compile() {
	# Fix paths in Makefiles
	sed -i -e "s:/usr/local:/usr:" plug.pro || die "sed failed"

	eqmake4 || die "qmake failed"
	#emake || die "emake failed"
}

src_install() {
	insinto /etc/udev/rules.d/
	newins ${FILESDIR}/mustang.rules 50-fender-mustang.rules || die
	emake INSTALL_ROOT="${D}" install || die "emake install failed"
}
